Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
tmp_dh_callback_args Struct Reference

## Data Fields
VALUE | ssl_obj
ID | id
int | type
int | is_export
int | keylength

## Detailed Description

Definition at line 236 of file ossl_ssl.c.

## Field Documentation

## ◆ id

ID tmp_dh_callback_args::id

Definition at line 238 of file ossl_ssl.c.

## ◆ is_export

int tmp_dh_callback_args::is_export

Definition at line 240 of file ossl_ssl.c.

## ◆ keylength

int tmp_dh_callback_args::keylength

Definition at line 241 of file ossl_ssl.c.

## ◆ ssl_obj

VALUE tmp_dh_callback_args::ssl_obj

Definition at line 237 of file ossl_ssl.c.

## ◆ type

int tmp_dh_callback_args::type

Definition at line 239 of file ossl_ssl.c.

The documentation for this struct was generated from the following file:

- ext/openssl/ossl_ssl.c